net.i2p.router.peermanager

## Class PeerSelectionCriteria

- java.lang.Object
- - net.i2p.router.peermanager.PeerSelectionCriteria

-     class PeerSelectionCriteria
      extends Object

  Defines the criteria for selecting a set of peers for use when searching the PeerManager Only used by PeerTestJob, which may not have a point.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PURPOSE_TEST` The peers will be used for a test message

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeerSelectionCriteria()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaximumRequired()` Maximum number of peers required
    `int` | `getMinimumRequired()` Minimum number of peers required
    `int` | `getPurpose()` Purpose for which the peers will be used
    `void` | `setMaximumRequired(int max)`
    `void` | `setMinimumRequired(int min)`
    `void` | `setPurpose(int purpose)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PURPOSE_TEST

          public static final int PURPOSE_TEST

      The peers will be used for a test message
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PeerSelectionCriteria

          PeerSelectionCriteria()

  - ### Method Detail

    - #### getMaximumRequired

          public int getMaximumRequired()

      Maximum number of peers required

    - #### getMinimumRequired

          public int getMinimumRequired()

      Minimum number of peers required

    - #### getPurpose

          public int getPurpose()

      Purpose for which the peers will be used

    - #### setMaximumRequired

          public void setMaximumRequired(int max)

    - #### setMinimumRequired

          public void setMinimumRequired(int min)

    - #### setPurpose

          public void setPurpose(int purpose)